ReferenceReportType (gCube Reporting Modeler 1.3.0-4.2.1-125719 API)
Date: 2017-02-10

org.gcube.application.reporting.reference

## Enum ReferenceReportType

- java.lang.Object
- - java.lang.Enum<ReferenceReportType>
  - - org.gcube.application.reporting.reference.ReferenceReportType

- All Implemented Interfaces:
    Serializable, Comparable<ReferenceReportType>

      public enum ReferenceReportType
      extends Enum<ReferenceReportType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FisheryAreasHistory`
    `GeneralMeasure`
    `InformationSource`
    `Rfmo`
    `VMEsHistory`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `static ReferenceReportType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ReferenceReportType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GeneralMeasure

          public static final ReferenceReportType GeneralMeasure

    - #### InformationSource

          public static final ReferenceReportType InformationSource

    - #### FisheryAreasHistory

          public static final ReferenceReportType FisheryAreasHistory

    - #### VMEsHistory

          public static final ReferenceReportType VMEsHistory

    - #### Rfmo

          public static final ReferenceReportType Rfmo

  - ### Method Detail

    - #### values

          public static ReferenceReportType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReferenceReportType c : ReferenceReportType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReferenceReportType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public String getId()

      Returns:
        the 'id' value

Copyright © 2017. All Rights Reserved.